package es.verdnatura.presentation.view.feature.historicoshelving.model

import android.os.Build
import androidx.annotation.RequiresApi
import es.verdnatura.domain.isoToString

class ItemShelvingLog(
    var itemFk:Int? = null,
    var longName:String? = null,
    var shelvingFk:String? = null,
    var visible:Int? = null,
    var accion:String? = null,
    //var created:String? = null,
    var code:String? = null,
    var isError:Boolean = false,
    var errorMessage:String = ""
                     ){
    @RequiresApi(Build.VERSION_CODES.O)
    var created: String = ""
    @RequiresApi(Build.VERSION_CODES.O)
    get(){
        return field.isoToString(returnOnlyDate = false)
    }

}

class ItemShelvingSaleDateList(
    var list:List<ItemShelvingLog> = listOf())

    class ItemShelvingLogList(
var list:List<ItemShelvingLog> = listOf()
)